#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("doinp.inp");
    long int n;
    fi.close();
    ofstream fo("doinp.out");
    long int a[100000];
    long int i=0;
    while(n!=0)
    {
        a[i]=n%2;
        n=n/2;
        i=i+1;
    }
    for (int j=i-1;j>=0;j--)
        fo<<a[j];
    return 0;
}
